Firefly开源社区

[技术讨论]RK3399pro怎样升级内核

5

积分

0

威望

0

贡献

吃瓜的群众

积分
5
发表于 2020-2-22 18:48:27     
已经刷了官方的18.04镜像,内核版本是4.4.167.现开发需求升级到4.15的内核版本.请问可以使用apt升级内核吗?sudo apt-get install linux-image-4.15.0-50-generic linux-headers-4.15.0-50-generic
使用如上命令安装内核有如下报错
flash-kernel: deferring update (trigger activated)
Setting up linux-headers-4.15.0-50-generic (4.15.0-50.54) ...
Setting up linux-image-4.15.0-50-generic (4.15.0-50.54) ...
I: /vmlinuz.old is now a symlink to boot/vmlinuz-4.15.0-20-generic
I: /initrd.img.old is now a symlink to boot/initrd.img-4.15.0-20-generic
I: /vmlinuz is now a symlink to boot/vmlinuz-4.15.0-50-generic
I: /initrd.img is now a symlink to boot/initrd.img-4.15.0-50-generic
Processing triggers for flash-kernel (3.98ubuntu11~18.04.1) ...
Unsupported platform.
dpkg: error processing package flash-kernel (--configure):
installed flash-kernel package post-installation script subprocess returned error exit status 1
Processing triggers for linux-image-4.15.0-50-generic (4.15.0-50.54) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-4.15.0-50-generic
Warning: root device  does not exist
Ignoring old or unknown version 4.15.0-50-generic (latest is 4.15.0-70-generic)
/etc/kernel/postinst.d/zz-flash-kernel:
Ignoring old or unknown version 4.15.0-50-generic (latest is 4.15.0-70-generic)
Errors were encountered while processing:
flash-kernel
E: Sub-process /usr/bin/dpkg returned an error code (1)

请问如果上述方式不行的话,有没有可行的方式升级到4.15的内核版本
回复

使用道具 举报

*滑块验证:
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

友情链接 : 爱板网 电子发烧友论坛 云汉电子社区 粤ICP备14022046号-2
快速回复 返回顶部 返回列表